Skip to content
getgeolens.com

Import Configuration

POST
/config-ops/import/
curl --request POST \
--url 'https://example.com/config-ops/import/?mode=merge' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "oauth_providers": [ {} ], "settings": {} }'

Import configuration in merge or overwrite mode.

Merge mode: updates existing settings and OAuth providers, adds new ones. Overwrite mode: replaces all settings and OAuth providers.

mode
Mode
string
default: merge
Allowed values: merge overwrite
X-Config-Preview-Token
Any of:
string

Signed token returned by the matching dry-run. Required for overwrite mode.

Media type application/json
ConfigImportRequest

Payload for importing configuration.

object
oauth_providers
Any of:
Array<object>
object
key
additional properties
any
settings
Any of:
object
key
additional properties
any
Example generated
{
"oauth_providers": [
{}
],
"settings": {}
}

Successful Response

Media type application/json
ImportResult

Summary of what was applied during an import.

object
oauth_accounts_deleted
Oauth Accounts Deleted

Number of dependent OAuth account links cascade-deleted in overwrite mode.

integer
0
oauth_created
required
Oauth Created

Number of new OAuth providers created.

integer
oauth_deleted
required
Oauth Deleted

Number of OAuth providers deleted (overwrite mode only).

integer
oauth_updated
required
Oauth Updated

Number of existing OAuth providers updated.

integer
settings_applied
required
Settings Applied

Number of settings successfully updated.

integer
settings_skipped
required
Settings Skipped

Number of settings skipped (no change, unknown key, or restricted key not writable by the current runtime).

integer
settings_skipped_restricted
Settings Skipped Restricted

Names of restricted setting keys that were skipped by the current runtime.

Array<string>
Example
{
"oauth_accounts_deleted": 0
}

Bad request — invalid query parameters or payload

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Unauthorized — missing or invalid credentials

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Forbidden — caller lacks access to this resource

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Not found

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Conflict — resource state prevents the operation

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Validation error

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Too many requests — retry after the advertised interval

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}
Retry-After
integer

Seconds until the request may be retried

Internal server error

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Service unavailable — the database could not serve the request

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}